summaryrefslogtreecommitdiff
path: root/indra/newview/linux_tools/handle_secondlifeprotocol.sh
diff options
context:
space:
mode:
Diffstat (limited to 'indra/newview/linux_tools/handle_secondlifeprotocol.sh')
-rwxr-xr-xindra/newview/linux_tools/handle_secondlifeprotocol.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/indra/newview/linux_tools/handle_secondlifeprotocol.sh b/indra/newview/linux_tools/handle_secondlifeprotocol.sh
new file mode 100755
index 0000000000..7ff86d1b93
--- /dev/null
+++ b/indra/newview/linux_tools/handle_secondlifeprotocol.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Send a URL of the form secondlife://... to Second Life.
+#
+
+URL="$1"
+
+if [ -z "$URL" ]; then
+ echo Usage: $0 secondlife://...
+ exit
+fi
+
+RUN_PATH=`dirname "$0" || echo .`
+cd "${RUN_PATH}"
+
+exec ./secondlife -url \'"${URL}"\'
+